<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Бармен онлайн';
include_once '../sys/inc/thead.php';
title();
aut();

if(!isset($user)){
  echo "Вы не зарегистрированы";
  include_once '../sys/inc/tfoot.php';
  break;
}

include_once 'inc/start.php';
if($user_id!=1){
header("Location:index.php");
exit;
}
#  `name` varchar(164) NOT NULL,
#  `cost` int(11) NOT NULL,
#  `alc` int(11) NOT NULL,
#  `level` int(11) NOT NULL,
#  `exp` int(11) NOT NULL,
#  `in` varchar(156) NOT NULL,
  
if(isset($_POST['submit']))
{
if($_FILES["file"]["size"]<=150000){
	$name=bar_output($_POST['name']);
	$cost=bar_output($_POST['cost']);
	$alc=bar_output($_POST['alc']);
	$level=bar_output($_POST['level']);
	$exp=bar_output($_POST['exp']);
	$in=bar_output($_POST['in']);
	$i1=bar_output($_POST['one']);
	$i2=bar_output($_POST['two']);
	$i3=bar_output($_POST['three']);
	$in=$i1."".($i2!=0 ? ";".$i2 : NULL);
	$in=$in."".($i3!=0 ? ";".$i3 : NULL);
	mysql_query("INSERT INTO `bar_recept`(`name`,`cost`,`alc`,`level`,`exp`,`in`) VALUES('".$name."','".$cost."','".$alc."','".$level."','".$exp."','".$in."')");
	$io=mysql_insert_id();
	$newfile=$_FILES['file']['tmp_name'];
	$file=strtolower($_FILES['file']['name']);
	$file=pathinfo($file, PATHINFO_EXTENSION);//расширение файла
	$arrays='png';//доступные расширения файла
	$myfile_type = $_FILES["file"]["type"];
	$size=getimagesize($newfile);
	
		if(get_file_type_bar($file,$arrays)==false){
		echo "Загруженный файл имеет некоректное расширение(доступные: .png)<br/>-<a href='admin.add.php?".mt_rand()."'>Назад</a><br/>";
		unlink($_FILES['file']['tmp_name']);

		exit;
		}
	
		if($size[0]>49 || $size[1]>49){
		echo "Загруженный файл превышает допустимые размеры(48х48)!<br/>-<a href='admin.add.php?".mt_rand()."'>Назад</a><br/>";
		unlink($_FILES['file']['tmp_name']);
		exit;
		}
		if($myfile_type!='image/png'){
		echo "Загруженный файл не является картинкой!<br/>-<a href='admin.add.php?".mt_rand()."'>Назад</a><br/>";
		unlink($_FILES['file']['tmp_name']);
		exit;
		}
	

	
	$path='i/r_'.$io.'.'.$file;
	move_uploaded_file($newfile,$path);
	
	}
	header("Location:admin.add.php?o");
exit;
}	
if(isset($_GET['o']))
echo "<div class='".$diz['title2']."'>Рецепт добавлен!</div>";		
			
echo "
<div class='".$diz['main']."'>

<div class='".$diz['title2']."'>Добавление рецепта</div>
<form method='post' enctype='multipart/form-data' action='admin.add.php?t=".mt_rand()."'>
Картинка(размер не более 48х48):<br/>
	<input type='file' name='file' />
	<br />
   Название <br/>
   <input name='name' /><br/>
     Стоимость <br/>
   <input name='cost' /><br/>
     Алкоголь <br/>
   <input name='alc' /><br/>
     Уровень <br/>
   <input name='level' /><br/>
     Опыт <br/>
   <input name='exp' /><br/>
   Ингридиент #1<br/>
   <select name='one'>
   <option value='0'>Пусто</option>";
   $a=mysql_query("SELECT * FROM `bar_ingridient`");
   while($arr=mysql_fetch_array($a))
   {
   
   echo "<option value='".$arr['id']."'>".$arr['name']."</option>";
   
   }
   echo "
   </select><br/>
    Ингридиент #2<br/>
   <select name='two'>
   <option value='0'>Пусто</option>";
   $a=mysql_query("SELECT * FROM `bar_ingridient`");
   while($arr=mysql_fetch_array($a))
   {
   
   echo "<option value='".$arr['id']."'>".$arr['name']."</option>";
   
   }
   echo "
   </select><br/>
    Ингридиент #3<br/>
   <select name='three'>
   <option value='0'>Пусто</option>";
   $a=mysql_query("SELECT * FROM `bar_ingridient`");
   while($arr=mysql_fetch_array($a))
   {
   
   echo "<option value='".$arr['id']."'>".$arr['name']."</option>";
   
   }
   echo "
   </select><br/>
   
   <input type='submit' name='submit' value='Отправить'/></form>";



echo "</div>";
ret($diz['ret'],'Админка','admin.php');
ret($diz['ret'],'Мой бар','index.php');

include_once '../sys/inc/tfoot.php';
?>
